## bettercap-ui 1.3.0+git20240829.6e126c4

=== Makefile ===
all: build

deps:
	@echo "installing dependencies ..."	
	@NODE_OPTIONS=--openssl-legacy-provider npm i --legacy-peer-deps

build: deps
	@echo "building ui ..."
	@NODE_OPTIONS=--openssl-legacy-provider ng build --prod

=== debian/changelog ===
bettercap-ui (1.3.0+git20240829.6e126c4-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 26 Mar 2025 16:40:33 +0000

bettercap-ui (1.3.0+git20240829.6e126c4-1) unstable; urgency=medium

  * Initial release. (Closes: #1024640)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 06 Jun 2024 15:10:58 +0000

=== debian/control ===
Source: bettercap-ui
Section: javascript
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/bettercap/ui
Vcs-Browser: https://salsa.debian.org/pkg-security-team/bettercap-ui
Vcs-Git: https://salsa.debian.org/pkg-security-team/bettercap-ui.git

Package: bettercap-ui
Architecture: all
Depends: bettercap,
         bettercap-caplets,
         ${misc:Depends},
         ${shlibs:Depends}
Description: bettercap's web UI
 This package contains the bettercap's web UI.
 .
 Web UI - the easiest method, good if you never used bettercap before.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.3.0+git%cd.%h" \
https://github.com/bettercap/ui.git HEAD

## bettercap-ui 1.3.0+really1.3.0

=== debian/changelog ===
bettercap-ui (1.3.0+really1.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.0+really1.3.0: use upstream ui.zip (we don't
    build from source)
  * Revert "Update bettercap-ui.install"
  * Revert "Add a patch to remove Makefile"
  * Revert "Add lintian-overrides"
  * Add source/lintian-overrides
  * Add information about source

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jul 2020 14:14:45 +0200

bettercap-ui (1.3.0+git20191105-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 1.3.0+git20191105
  * Add a patch to remove Makefile
  * Update bettercap-ui.install
  * Add lintian-overrides
  * Update debian/copyright
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Apr 2020 13:56:39 +0200

bettercap-ui (1.3.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jul 2019 14:19:01 +0200

=== debian/control ===
Source: bettercap-ui
Section: javascript
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://github.com/bettercap/ui
Vcs-Browser: https://gitlab.com/kalilinux/packages/bettercap-ui
Vcs-Git: https://gitlab.com/kalilinux/packages/bettercap-ui.git

Package: bettercap-ui
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, bettercap, bettercap-caplets
Description: bettercap's web UI
 This package contains the bettercap's web UI.

=== debian/watch ===
version=4
#only for watch, don't use to download tarball
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bettercap-ui-$1.tar.gz%" \
   https://github.com/bettercap/ui/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
